Main Site Documentation

NETMF and Gadgeteer Package 2014 R2


#1

Maybe I missed it in the instructions!

I will suggest anyway that the warning that is given (AFTER) installing SAMBA be put in https://www.ghielectronics.com/support/netmf/sdk/19/netmf-and-gadgeteer-package-2014-r2 text.

C:\Program Files (x86)\Atmel\sam-ba_2.12\doc\usb_notice.html

In order to be able to use a new USB driver, any previously installed driver (e.g. sam-ba v2.10) will not work and the old driver (atm6124.sys) can not be updated to the necessary functionality of new driver. An old driver has to be removed before you can install the new USB driver.

As in doing a ‘repair’ it will hang forever and gives no error…


#2

@ willgeorge - Were you using an old version of samba?


#3

@ John -

Yes but I forget for what use… Maybe it could not uninstall that version…

Edit. I never thought of that

Does Samba from any source only use C:\Program Files (x86)\Atmel ?


#4

@ willgeorge - You can set the path in the installer to wherever you like, it just defaults to that directory.


#5

@ John -

While I am bothering you I wanted to mention that I think you should mention that
Microsoft .NET Micro Framework SDK 4.3 (QFE1) must be installed.

.NET Micro Framework (NETMF)
Step one only states:
Uninstall any NETMF SDK older than
Microsoft .NET Micro Framework SDK 4.3 (QFE1)

If is not installed VS 2012 gives a error message. See attached image.


#6

@ willgeorge - Our installer does install Microsoft .NET Micro Framework SDK 4.3 (QFE1). Did you have Microsoft .NET Micro Framework SDK 4.3 (RTM) installed before going to 2014 R2?


#7

@ John -

I thought I removed ALL .NET Micro files. But not sure now. I have it all working now and it’s good to know it is also installed… I installed it after everything else and it worked then.

I had to restore my system because of a crash (I let my 10 year old granddaughter play around with my PC). Such is life…